Skip Menu |
 

This queue is for tickets about the Test-Warn CPAN distribution.

Report information
The Basics
Id: 17534
Status: resolved
Priority: 0/
Queue: Test-Warn

People
Owner: Nobody in particular
Requestors: jjn1056 [...] yahoo.com
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 0.08
Fixed in: (no value)



Subject: Trouble installing the module
Download (untitled) / with headers
text/plain 8.2k
Strange trouble, I can't get this module to install without force on my brand new perl 5.8.8 installation. I compiled this by hand using Gcc4 and a recent Glibc. Since this module is used as a dependency a lot I am afraid this will cause me a lot of trouble. The error log is very long (over 9k), so I can't put it all here (I attached it) but here is a sample: --------------------------------------------------------------------------------------- [CP_ERROR] [Wed Feb 8 20:53:37 2006] MAKE TEST failed: Bad file descriptor PERL_DL_NONLAZY=1 /opt/perl/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/1................ok t/carped........... # Failed test 'Warnings and Carpings mixed, asked only for like warnings' # in t/carped.t at line 24. # STDOUT is: # not ok 1 #  # not: # ok 1 #  # as expected # STDERR is: # # Failed test in t/carped.t at line 23. # # found warning: Warning 1 at t/carped.t line 13. # # found carped warning: Use of uninitialized value in string eq at /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm line 123. # # found carped warning: Use of uninitialized value in string eq at /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm line 123. # # found carped warning: Use of uninitialized value in string eq at /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm line 123. # # found carped warning: Use of uninitialized value in string eq at /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm line 123. # # found carped warning: Use of uninitialized value in string eq at /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm line 123. # # found carped warning: Use of uninitialized value in string eq at /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm line 123. # # found carped warning: Use of uninitialized value in string eq at /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm line 123. # # found carped warning: Carping 2 at t/carped.t line 14 # # found carped warning: Use of uninitialized value in string eq at /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm line 123. # # found carped warning: Use of uninitialized value in string eq at /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm line 123. # # found carped warning: Use of uninitialized value in string eq at /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm line 123. # # found carped warning: Use of uninitialized value in string eq at /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm line 123. # # found carped warning: Use of uninitialized value in string eq at /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm line 123. # # found carped warning: Use of uninitialized value in string eq at /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm line 123. # # found carped warning: Use of uninitialized value in string eq at /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm line 123. # # found carped warning: Carping 3 at t/carped.t line 15 # # found warning: Warning 4 at t/carped.t line 16. # # expected to find warning: (?-xism:1) # # expected to find warning: (?-xism:2) # # expected to find warning: (?-xism:3) # # expected to find warning: (?-xism:4) #  # not: #  # as expected --------------------------------------------------------------------------------------- I also see this error a lot: --------------------------------------------------------------------------------------- found carped warning: Use of uninitialized value in string eq at /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm line 123. --------------------------------------------------------------------------------------- I must have dozens of errors exactly like that in all the tests. Here is the test summary: --------------------------------------------------------------------------------------- FAILED tests 5-16, 21-32, 37-48, 53-64, 69-80, 85-96, 133-144, 149-160, 197-208, 213-224, 229-240, 245-256, 261-272, 277-288, 293-304, 309-320, 325-336, 341-352, 357-368, 373-384, 389-400, 405-416, 421-432, 437-448 Failed 288/448 tests, 35.71% okay Failed Test Stat Wstat Total Fail Failed List of Failed ------------------------------------------------------------------------------- t/carped.t 6 6 100.00% 1-6 t/warning_is.t 48 24 50.00% 3-6 9-12 15-18 27-30 39-42 45- 48 t/warning_like.t 96 48 50.00% 5-12 17-24 29-36 53-60 77-84 89-96 t/warnings_are.t 224 144 64.29% 5-16 21-32 37-48 69-80 101-112 117-128 133-144 149-160 165- 176 181-192 197-208 213-224 t/warnings_like.t 448 288 64.29% 5-16 21-32 37-48 53-64 69-80 85-96 133-144 149-160 197-208 213-224 229-240 245-256 261- 272 277-288 293-304 309-320 325-336 341-352 357-368 373- 384 389-400 405-416 421-432 437-448 Failed 5/6 test scripts, 16.67% okay. 510/823 subtests failed, 38.03% okay. make: *** [test_dynamic] Error 255 --------------------------------------------------------------------------------------- If someone wants the entire log of the failed tests I can email it. Just let me know where to send it: Also here is my Perl configuration: --------------------------------------------------------------------------------------- Summary of my perl5 (revision 5 version 8 subversion 8) configuration: Platform: osname=linux, osvers=2.6.12-9-386, archname=i686-linux-thread-multi-ld uname='linux ubuntu 2.6.12-9-386 #1 mon oct 10 13:14:36 bst 2005 i686 gnulinux ' config_args='' hint=recommended, useposix=true, d_sigaction=define usethreads=define use5005threads=undef useithreads=define usemultiplicity=define useperlio=define d_sfio=undef uselargefiles=define usesocks=undef use64bitint=undef use64bitall=undef uselongdouble=define usemymalloc=n, bincompat5005=undef Compiler: cc='gcc', ccflags ='-D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -fno-strict-aliasing -pipe -Wdeclaration-after-statement -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64', optimize='-O2', cppflags='-D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -fno-strict-aliasing -pipe -Wdeclaration-after-statement -I/usr/local/include' ccversion='', gccversion='4.0.2 20050808 (prerelease) (Ubuntu 4.0.1-4ubuntu9)', gccosandvers='' intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234 d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12 ivtype='long', ivsize=4, nvtype='long double', nvsize=12, Off_t='off_t', lseeksize=8 alignbytes=4, prototype=define Linker and Libraries: ld='gcc', ldflags =' -L/usr/local/lib' libpth=/usr/local/lib /lib /usr/lib libs=-lnsl -ldl -lm -lcrypt -lutil -lpthread -lc perllibs=-lnsl -ldl -lm -lcrypt -lutil -lpthread -lc libc=/lib/libc-2.3.5.so, so=so, useshrplib=false, libperl=libperl.a gnulibc_version='2.3.5' Dynamic Linking: dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E' cccdlflags='-fpic', lddlflags='-shared -L/usr/local/lib' Characteristics of this binary (from libperl): Compile-time options: MULTIPLICITY PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP THREADS_HAVE_PIDS USE_ITHREADS USE_LARGE_FILES USE_LONG_DOUBLE USE_PERLIO USE_REENTRANT_API Built under linux Compiled at Feb 8 2006 18:59:01 @INC: /opt/perl/lib/5.8.8/i686-linux-thread-multi-ld /opt/perl/lib/5.8.8 /opt/perl/lib/site_perl/5.8.8/i686-linux-thread-multi-ld /opt/perl/lib/site_perl/5.8.8 /opt/perl/lib/site_perl . --------------------------------------------------------------------------------------- Any ideas how to solve this problem? I am totally stumped. Help, John
Subject: testwarn
Download testwarn
application/octet-stream 8.9m

Message body not shown because it is not plain text.

Same problem here.
From: guest
Download (untitled) / with headers
text/plain 188b
Change line 123 of /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm to if( defined $caller[0] && $caller[0] eq __PACKAGE__ ) { That supresses the useless warning and Test::Warn will be happy.
From: Alexandr Ciornii <alexchorny [...] gmail.com>
Download (untitled) / with headers
text/plain 289b
On Mar 06 01:09:53 2006, guest wrote: Show quoted text
> Change line 123 of /opt/perl/lib/site_perl/5.8.8/Sub/Uplevel.pm to > if( defined $caller[0] && $caller[0] eq __PACKAGE__ ) {
I have Sub::Uplevel 0.13 that fixed this and perl 5.8.7. Bug is still present. ------- Alexandr Ciornii, http://chorny.net


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.